<template>
<div>
    <b-modal title="Lịch sử nộp tiền" size="lg" class="modal-info" v-model="modalVisibility" ref="historyModal" @ok="myModal = false">
        <div v-if="payment!=null">
            <table v-if="payment.payments_to_company_details.length > 0" class="table">
                <thead>
                <tr>
                    <th>ID</th>
                    <th>Mã chứng từ</th>
                    <th>Số tiền</th>
                    <th>Ngày tạo</th>
                    <th>Actions</th>
                </tr>
                </thead>
            <tbody>
                <tr v-for="detail in payment.payments_to_company_details" :key="detail.id"> 
                    <td>{{ detail.id }}</td>
                    <td>{{ detail.reference_code }}</td>
                    <td>{{ comma(detail.amount) }}</td>
                    <td>{{  $moment(detail.created_at).format(' HH:mm:ss DD/MM/YYYY') }}</td>
                    <td>
                        <button class="icon-btn text-primary" title="Chỉnh sửa" @click="showEditPaymentDetailModal(detail)"><v-icon name="edit"></v-icon></button>
                        <button class="icon-btn text-danger" @click="confirmDelete(detail.id)" title="Xóa"><v-icon name="times"></v-icon></button>
                    </td>
                </tr>
            </tbody>
           </table>
           <div v-else>
               <p class="text-warning text-center" style="font-size: 18px">Không có giao dịch nộp tiền nào được ghi nhận.</p>
           </div>
        </div>
        <!-- {{ JSON.stringify(selectedPayment.payments_to_company_details) }} -->
    </b-modal>
<edit-payment-history-modal ref="editPaymentDetailModalRefs" :paymentDetail="selectedPaymentDetail"></edit-payment-history-modal>
    </div>
</template>
<script>
import { http } from "../../services";
import { alerts } from "../../utils";
import EditPaymentHistoryModal from "./EditPaymentHistoryDetailModal";
export default {
  components: { EditPaymentHistoryModal },
  data() {
    return {
      modalVisibility: false,
      detail_id: 0,
      selectedPaymentDetail: null
    };
  },
  props: {
    payment: null
  },
  methods: {
    toggleModal() {
      this.modalVisibility = !this.modalVisibility;
    },
    async deletePaymentToCompanyDetail() {
      return new Promise((resolve, reject) => {
        http.post(
          "/payment/deletePaymentDetail",
          { detail_id: this.detail_id },
          response => {
            return resolve(response.data);
          }
        );
      });
    },
    confirmDelete(detail_id) {
      this.detail_id = detail_id;
      alerts.ajaxConfirm(
        "Bạn chắc chắn muốn xóa?",
        "warning",
        this.deletePaymentToCompanyDetail,
        this.toggleModal
      );
    },
    showEditPaymentDetailModal(paymentDetail) {
      this.selectedPaymentDetail = paymentDetail;
      this.$refs.editPaymentDetailModalRefs.showModal();
    }
  }
};
</script>

